using Tiger.Communication.Messages.Interfaces;
using Tiger.Communication.Messages.Types;
using Tiger.Game.Habbos;
using Tiger.Game.Navigator.Views;

namespace Tiger.Communication.Messages.Outgoing.Navigator;

public class NavigatorSearchComposer : IMessageComposer
{
    private readonly INavigatorView _navigatorView;
    private readonly string _query;
    private readonly Habbo _habbo;

    public NavigatorSearchComposer(INavigatorView navigatorView, string query, Habbo habbo)
    {
        _navigatorView = navigatorView;
        _query = query;
        _habbo = habbo;
    }

    public OutgoingHeaders Header => OutgoingHeaders.NavigatorSearch;
    public void Compose(ServerMessage message)
    {
        message.AppendString(_navigatorView.Code);
        message.AppendString(_query);
        _navigatorView.Compose(message, _habbo, _query);
    }
}