using FluentNHibernate.Mapping;

namespace Tiger.Game.Catalogue;

public class CatalogueFeaturedPageMap : ClassMap<CatalogueFeaturedPage>
{
    public CatalogueFeaturedPageMap()
    {
        Table("catalogue_featured_pages");
        Id(fp => fp.SlotId).Column("slot_id").GeneratedBy.Identity();
        Map(fp => fp.Image).Column("image").Not.Nullable();
        Map(fp => fp.Caption).Column("caption").Not.Nullable();
        Map(fp => fp.Type).CustomType<int>().Column("type").Not.Nullable();
        Map(fp => fp.Expire).Column("expire").Not.Nullable();
        Map(fp => fp.Data).Column("data").Not.Nullable();
    }
}