using FluentNHibernate.Mapping;

namespace Tiger.Game.Habbos;

public class HabboAchievementMap : ClassMap<HabboAchievement>
{
    public HabboAchievementMap()
    {
        Table("habbo_achievements");
        LazyLoad();
        CompositeId()
            .KeyReference(ha => ha.Habbo, "habbo_id")
            .KeyReference(ha => ha.Achievement, "achievement_id");
        Map(ha => ha.Level).Column("level").Not.Nullable();
        Map(ha => ha.Progress).Column("progress").Not.Nullable();
    }
}