using FluentNHibernate.Mapping;

namespace Tiger.Game.LandingView;

public class PromoArticleMap : ClassMap<PromoArticle>
{
    public PromoArticleMap()
    {
        Table("landing_promo_articles");
        Id(pa => pa.Id).Column("id").GeneratedBy.Identity();
        Map(pa => pa.Title).Column("title").Not.Nullable();
        Map(pa => pa.BodyText).Column("body_text").Not.Nullable();
        Map(pa => pa.ButtonText).Column("button_text").Not.Nullable();
        Map(pa => pa.LinkType).CustomType<int>().Column("link_type").Not.Nullable();
        Map(pa => pa.LinkContent).Column("link_content").Not.Nullable();
        Map(pa => pa.ImageUrl).Column("image_url").Not.Nullable();
    }
}